flext_sndobj::Outlet Class Reference

SndObj for writing to outlet buffer. More...

Inheritance diagram for flext_sndobj::Outlet:

## Public Member Functions

| Outlet (t_sample *b, int vecsz, float sr)
virtual short | Read ()
virtual short | Write ()
void | SetBuf (t_sample *b)

## Private Attributes

t_sample * | buf

## Detailed Description

SndObj for writing to outlet buffer.

## Constructor & Destructor Documentation

## Outlet()

flext_sndobj::Outlet::Outlet | ( | t_sample * | b,
|  | int | vecsz,
|  | float | sr
| ) |  |

## Member Function Documentation

## Read()

short flext_sndobj::Outlet::Read | ( |  | ) |

virtual

## SetBuf()

void flext_sndobj::Outlet::SetBuf | ( | t_sample * | b | ) |

inline

## Write()

short flext_sndobj::Outlet::Write | ( |  | ) |

virtual

## Member Data Documentation

## buf

t_sample* flext_sndobj::Outlet::buf

private

The documentation for this class was generated from the following files:

- /build/pd-flext-jyLjBY/pd-flext-0.6.0+git20161101.1.01318a94/source/flsndobj.h
- /build/pd-flext-jyLjBY/pd-flext-0.6.0+git20161101.1.01318a94/source/flsndobj.cpp